## mic2 0.19

=== Makefile ===
# ex: set tabstop=4 noexpandtab

DESTDIR=
PREFIX=/usr
PKGSYSCONFDIR=/etc/mic2
MIC2_CONF_FILES = \
	mic2.conf
MIC2_TOOLS = \
	check-alldeps \
	chroot \
	create-bootstrap \
	create-isohybrid-recovery-image \
	create-recovery-image \
	image-convertor \
	image-creator \
	image-writer \
	livecd-iso-to-disk \
	rm-chroot-dir
	

PYCHECKEROPTS=--no-shadowbuiltin --no-argsused --no-miximport --maxargs 0 --no-local -\# 0 --only

.PHONY: all
all: build

build: mandoc
	python setup.py build

install: installman installconf installsymlinks
	python setup.py install --prefix=$(DESTDIR)$(PREFIX)

installsymlinks:
	list='$(MIC2_TOOLS)'; for p in $$list; do \
	  ln -sf mic-$$p ${DESTDIR}/usr/bin/moblin-$$p; \
        done

clean: clean-mandoc
	rm -f mic/*.pyc mic/imgcreate/*.pyc mic/appcreate/*.pyc mic/imgcreate/kscommands/*.pyc mic/ec2convert/*.pyc
	rm -f mic/__version__.*
	rm -rf build

clean-mandoc:
	rm -f doc/mic-chroot.1  doc/mic-image-convertor.1  doc/mic-image-creator.1  doc/mic-image-writer.1  doc/mic-livecd-iso-to-disk.1

dist-clean: clean
	rm -rf dist/

mandoc:
	@for pod in doc/*.pod; do \
	    bname=`basename $$pod .pod`; \
	    pod2man $$pod > doc/$${bname}.1; \
	    sed -i 's/ "User Contributed Perl Documentation"//g' doc/$${bname}.1; \
	done

installman: mandoc
	@mkdir -p $(DESTDIR)/usr/share/man/man1; \
	for man in doc/*.1; do \
	    install -m644 $$man $(DESTDIR)/usr/share/man/man1; \
	done

installconf:
	install -d ${DESTDIR}${PKGSYSCONFDIR}
	list='$(MIC2_CONF_FILES)'; for p in $$list; do \
	  if [ -e ${DESTDIR}${PKGSYSCONFDIR}/$$p ] ; then \
	    install -m 644 $$p ${DESTDIR}${PKGSYSCONFDIR}/$$p.tmpl; \
	  else \
	    install -m 644 $$p ${DESTDIR}${PKGSYSCONFDIR}/; \
	  fi; \
	done

.PHONY: clean install

=== debian/changelog ===
mic2 (0.19-2) unstable; urgency=low

  * Update debian/control:
    - add missing dependencies (bzip2, dbus, psmisc).
    - add missing recommends (binfmt-support, hal, qemu-user-static).
    Thanks to Islam Amer.

 -- Fathi Boudra <fabo@debian.org>  Fri, 16 Jul 2010 17:00:00 +0300

mic2 (0.19-1) unstable; urgency=low

  * Initial release (Closes: #578170)

 -- Fathi Boudra <fabo@debian.org>  Tue, 22 Jun 2010 09:03:57 +0300

=== debian/control ===
Source: mic2
Section: devel
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.3.5-7), python-support (>= 0.90.0)
Standards-Version: 3.9.0
Homepage: http://meego.gitorious.org/meego-developer-tools/image-creator

Package: mic2
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 bzip2,
 curl,
 dbus,
 dmsetup,
 dosfstools,
 e2fsprogs (>= 1.41),
 genisoimage | mkisofs,
 kpartx,
 parted,
 psmisc,
 python-iniparse,
 python-pykickstart (>= 1.72) | pykickstart (>= 0.96),
 python-urlgrabber,
 rsync,
 squashfs-tools (>= 4.0),
 syslinux (>= 3.82),
 yum (>= 3.2)
Recommends:
 binfmt-support,
 hal,
 qemu-user-static
Description: image creator tool for MeeGo
 MeeGo Image Creator (MIC) is a tool for creating and manipulating MeeGo
 images. MIC is a series of utilities that create customized images and
 provides an easy-to-use development environment for the MeeGo distribution.

## mic2 0.22.2

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 all: build
 
 build: mandoc
+	rm -f mic/__version__.*
 	python setup.py build
 
 install: installman installconf installsymlinks

=== debian/changelog ===
mic2 (0.22.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 31 Oct 2010 10:56:10 +0200

mic2 (0.22.0-1) unstable; urgency=low

  * New upstream release.
  * Remove bootstrap fix - merged upstream.

 -- Fathi Boudra <fabo@debian.org>  Mon, 04 Oct 2010 09:53:27 +0300

mic2 (0.21.1-2) unstable; urgency=low

  * Fix bootstrap on Debian distribution.

 -- Fathi Boudra <fabo@debian.org>  Tue, 21 Sep 2010 14:16:10 +0300

mic2 (0.21.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Thu, 16 Sep 2010 21:17:49 +0300

mic2 (0.21.0-1) unstable; urgency=low

  * New upstream release.
  * Add debian/pyversions and require python >= 2.5 (Closes: #594770).

 -- Fathi Boudra <fabo@debian.org>  Sun, 12 Sep 2010 09:54:16 +0300

mic2 (0.20.1-1) unstable; urgency=low

  * New upstream release.
  * Drop 02_failed_to_apply_configurations_to_image_bmc5709.patch - stolen
    upstream.
  * Update debian/control: add extlinux to Recommends.

 -- Fathi Boudra <fabo@debian.org>  Fri, 27 Aug 2010 18:56:08 +0300

mic2 (0.20-2) unstable; urgency=low

  * Add 02_failed_to_apply_configurations_to_image_bmc5709.patch:
    fix fails to build arm image (regression introduced in 0.20).

 -- Fathi Boudra <fabo@debian.org>  Tue, 24 Aug 2010 11:48:47 +0300

mic2 (0.20-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 23 Aug 2010 12:30:21 +0300

mic2 (0.19+git49+11ee1c0-1) unstable; urgency=low

  * New snapshot.
  * Update debian/control:
    - add btrfs-tools to Recommends.
    - bump Standards-Version to 3.9.1 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Mon, 16 Aug 2010 09:57:06 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.3.5-7), python-support (>= 0.90.0)
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.5.2-3), python-support (>= 0.90.0)
+Standards-Version: 3.9.1
 Homepage: http://meego.gitorious.org/meego-developer-tools/image-creator
 
 Package: mic2
@@ -28,6 +28,8 @@
  yum (>= 3.2)
 Recommends:
  binfmt-support,
+ btrfs-tools,
+ extlinux,
  hal,
  qemu-user-static
 Description: image creator tool for MeeGo

## mic2 0.23.0

=== Makefile ===
--- 
+++ 
@@ -31,8 +31,9 @@
 	python setup.py install --prefix=$(DESTDIR)$(PREFIX)
 
 installsymlinks:
+	@mkdir -p $(DESTDIR)$(PREFIX)/bin
 	list='$(MIC2_TOOLS)'; for p in $$list; do \
-	  ln -sf mic-$$p ${DESTDIR}/usr/bin/moblin-$$p; \
+	  ln -sf mic-$$p ${DESTDIR}$(PREFIX)/bin/moblin-$$p; \
         done
 
 clean: clean-mandoc
@@ -54,9 +55,9 @@
 	done
 
 installman: mandoc
-	@mkdir -p $(DESTDIR)/usr/share/man/man1; \
+	@mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1; \
 	for man in doc/*.1; do \
-	    install -m644 $$man $(DESTDIR)/usr/share/man/man1; \
+	    install -m644 $$man $(DESTDIR)$(PREFIX)/share/man/man1; \
 	done
 
 installconf:

=== debian/changelog ===
mic2 (0.23.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 08 Dec 2010 13:47:55 +0200

## mic2 0.24.9

=== debian/changelog ===
mic2 (0.24.9-1) unstable; urgency=low

  * New upstream release.
  * Limit syslinux dependency to amd64/i386 architecture. (Closes: #619543)

 -- Fathi Boudra <fabo@debian.org>  Mon, 02 May 2011 14:47:53 +0300

mic2 (0.24.8-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sat, 26 Mar 2011 15:06:57 +0200

mic2 (0.24.7-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 16 Mar 2011 19:39:25 +0200

mic2 (0.24.6-1) unstable; urgency=low

  * New upstream release.
  * Replace hal recommends by udisks. (Closes: #615232)
    - set mic2 arch any since udisks is Linux only.
  * Remove alternative mkisofs obsolete dependency.

 -- Fathi Boudra <fabo@debian.org>  Fri, 11 Mar 2011 08:00:20 +0200

mic2 (0.24.5-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Thu, 03 Mar 2011 10:48:26 +0200

mic2 (0.24.4-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Fri, 18 Feb 2011 18:58:40 +0200

mic2 (0.24.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 05 Jan 2011 12:39:42 +0200

mic2 (0.24.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 03 Jan 2011 11:40:47 +0200

=== debian/control ===
Source: mic2
Section: devel
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.5.2-3), python-support (>= 0.90.0)
Standards-Version: 3.9.2
Homepage: http://meego.gitorious.org/meego-developer-tools/image-creator

Package: mic2
Architecture: any
Depends: ${misc:Depends}, ${python:Depends},
 bzip2,
 curl,
 dbus,
 dmsetup,
 dosfstools,
 e2fsprogs (>= 1.41),
 genisoimage,
 kpartx,
 parted,
 psmisc,
 python-iniparse,
 python-pykickstart (>= 1.72) | pykickstart (>= 0.96),
 python-urlgrabber,
 rsync,
 squashfs-tools (>= 4.0),
 syslinux (>= 3.82) [amd64 i386],
 yum (>= 3.2)
Recommends:
 binfmt-support,
 btrfs-tools,
 extlinux,
 qemu-user-static,
 udisks [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386]
Description: Image creator tool for MeeGo
 MeeGo Image Creator (MIC) is a tool for creating and manipulating MeeGo
 images. MIC is a series of utilities that create customized images and
 provides an easy-to-use development environment for the MeeGo distribution.

## mic2 0.24.12

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
         done
 
 clean: clean-mandoc
-	rm -f mic/*.pyc mic/imgcreate/*.pyc mic/appcreate/*.pyc mic/imgcreate/kscommands/*.pyc mic/ec2convert/*.pyc
+	rm -f mic/*.pyc mic/*/*.pyc mic/*/*/*.pyc
 	rm -f mic/__version__.*
 	rm -rf build

=== debian/changelog ===
mic2 (0.24.12-1) unstable; urgency=low

  * New upstream release.
  * Build MIC on Linux only architectures. (Closes: #630991)

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jun 2011 20:11:24 +0300

=== debian/control ===
Source: mic2
Section: devel
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.5.2-3),
               python-support (>= 0.90.0)
Standards-Version: 3.9.2
Homepage: http://meego.gitorious.org/meego-developer-tools/image-creator

Package: mic2
Architecture: linux-any
Depends: bzip2,
         curl,
         dbus,
         dmsetup,
         dosfstools,
         e2fsprogs (>= 1.41),
         genisoimage,
         kpartx,
         parted,
         psmisc,
         python-iniparse,
         python-pykickstart (>= 1.72) | pykickstart (>= 0.96),
         python-urlgrabber,
         rsync,
         squashfs-tools (>= 4.0),
         syslinux (>= 3.82) [amd64 i386],
         yum (>= 3.2),
         ${misc:Depends},
         ${python:Depends}
Recommends: binfmt-support,
            btrfs-tools,
            extlinux,
            qemu-user-static,
            udisks [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386]
Description: Image creator tool for MeeGo
 MeeGo Image Creator (MIC) is a tool for creating and manipulating MeeGo
 images. MIC is a series of utilities that create customized images and
 provides an easy-to-use development environment for the MeeGo distribution.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=python_distutils

override_dh_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/mic2 installman installconf installsymlinks
	chmod 0755 $(CURDIR)/debian/mic2/usr/bin/mic-check-alldeps
	dh_install
